summaryrefslogtreecommitdiffstats
path: root/libraries/nacl
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2013-11-17 03:45:19 +0100
committer Robby Workman2013-11-17 05:56:54 +0100
commit5cd4f3ad8aa8503d9cdd961cb97c61f444882da5 (patch)
tree1cf070b6d5ffe17d8833389beba1f6cd1d445887 /libraries/nacl
parent73173831b816207d9b2ecfb163408dd58b4c2ae2 (diff)
downloadslackbuilds-5cd4f3ad8aa8503d9cdd961cb97c61f444882da5.tar.gz
libraries/nacl: Added (cryptographic library)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org> Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/nacl')
-rw-r--r--libraries/nacl/README4
-rw-r--r--libraries/nacl/nacl.SlackBuild103
-rw-r--r--libraries/nacl/nacl.info10
-rw-r--r--libraries/nacl/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/nacl/README b/libraries/nacl/README
new file mode 100644
index 0000000000..5a25eb0ba2
--- /dev/null
+++ b/libraries/nacl/README
@@ -0,0 +1,4 @@
+nacl is a is a new easy-to-use high-speed software library for
+network communication, encryption, decryption, signatures, etc.
+NaCl's goal is to provide all of the core operations needed to
+build higher-level cryptographic tools. \ No newline at end of file
diff --git a/libraries/nacl/nacl.SlackBuild b/libraries/nacl/nacl.SlackBuild
new file mode 100644
index 0000000000..c39ce91521
--- /dev/null
+++ b/libraries/nacl/nacl.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for nacl
+
+# Copyright 2013 Willy Sudiarto Raharjo <willysr@slackbuilds.org
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nacl
+VERSION=${VERSION:-20110221}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# The do script does by far too much magic.
+# The following will prevent NaCL to be built for unnecessary architectures
+cat >okcompilers/c <<EOF
+gcc -O3 -fomit-frame-pointer -funroll-loops -fPIC
+EOF
+
+cat >okcompilers/cpp <<EOF
+g++ -O3 -fomit-frame-pointer -funroll-loops -fPIC
+EOF
+
+# Force the ./do script to print build status to screen
+sed -i "s/exec 2\?>.*//" do
+
+./do
+
+shost=`hostname | sed 's/\..*//' | tr -cd '[a-z][A-Z][0-9]'`
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+install -D -m 644 build/$shost/lib${LIBDIRSUFFIX}/*/libnacl.a "$PKG/usr/lib${LIBDIRSUFFIX}/libnacl.a"
+install -D -m 644 build/$shost/lib${LIBDIRSUFFIX}/*/randombytes.o "$PKG/usr/lib${LIBDIRSUFFIX}/randombytes.o"
+
+mkdir -p $PKG/usr/include/nacl
+install -m 0644 build/$shost/include/*/* "$PKG/usr/include/nacl"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/nacl/nacl.info b/libraries/nacl/nacl.info
new file mode 100644
index 0000000000..9a0e9ad487
--- /dev/null
+++ b/libraries/nacl/nacl.info
@@ -0,0 +1,10 @@
+PRGNAM="nacl"
+VERSION="20110221"
+HOMEPAGE="http://nacl.cr.yp.to/index.html"
+DOWNLOAD="http://hyperelliptic.org/nacl/nacl-20110221.tar.bz2"
+MD5SUM="0b901dd7ff84bd7e8aff4d4893cb944b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/libraries/nacl/slack-desc b/libraries/nacl/slack-desc
new file mode 100644
index 0000000000..340ca916a1
--- /dev/null
+++ b/libraries/nacl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nacl: nacl (Cryptographic library)
+nacl:
+nacl: nacl is a is a new easy-to-use high-speed software library for
+nacl: network communication, encryption, decryption, signatures, etc.
+nacl: NaCl's goal is to provide all of the core operations needed to
+nacl: build higher-level cryptographic tools.
+nacl:
+nacl: Project URL: http://nacl.cr.yp.to/index.html
+nacl:
+nacl:
+nacl: